#include<iostream>
//#include<>
//#include<>

#define endl '\n'

using namespace std;

long long memo[100000024];

void budi_burz(){

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

}

long long rec(long long n){
    int ans = 0;
    //cout << n << " " ;
    if(memo[n] != 0) return memo[n];
    if(n == 1) return 1;
    for(int i = 2; i <= n / 2 + 1; i++){
        if(n % i == 0){
            ans += rec(n / i);
        } 
    }
    memo[n] = ans;
    return ans;
}

int main(){

    budi_burz();

    long long n;
    cin >> n;
    //cout << 1 << endl;
    cout << rec(n) + 1;

    return 0;
}